Skip to main content
GET
/
v1
/
messages
/
{id}
Get administration message by id
curl --request GET \
  --url https://api.paytsoftware.com/v1/messages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "sender_type": "<string>",
  "subject": "<string>",
  "read_by_user": {
    "id": "<string>",
    "name": "<string>",
    "email_address": "<string>"
  },
  "administration_id": "<string>",
  "credit_case_id": "<string>",
  "debtor_id": "<string>",
  "id": "<string>",
  "invoice_id": "<string>",
  "sent_at": "2023-11-07T05:31:56Z",
  "received_at": "2023-11-07T05:31:56Z",
  "read_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "content": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Path Parameters

id
string
required

Message identifier

Query Parameters

administration_id
string
required

Administration identifier

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

Response

Message

CustomerApi_V1_MessageEntity model

sender_type
string
required

Sender type (creditor|debtor)

subject
string
required

Message subject

read_by_user
object
required

User who marked the message as read

administration_id
string
required

Owning administration identifier

credit_case_id
string
required

Associated credit_case identifier

debtor_id
string
required

Associated debtor identifier

id
string
required

Unique identifier

invoice_id
string
required

Associated invoice identifier

sent_at
string<date-time>
required

Timestamp at which the message was sent

received_at
string<date-time>
required

Timestamp at which the message was received

read_at
string<date-time>
required

Timestamp at which the message was first read (please note that for some mail clients this field is not filled when an email is read)

updated_at
string<date-time>
required

Timestamp at which the message was last updated

content
string

The content of the message (request with the 'fields' parameter)

Last modified on June 12, 2026